Aria: ArRobotConfigPacketReader Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArRobotConfigPacketReader Class Reference

`#include <ArRobotConfigPacketReader.h>`

List of all members.

## Detailed Description

This class will read a config packet from the robot.

## Public Member Functions
| ArRobotConfigPacketReader (ArRobot *robot, bool onlyOneRequest=false, ArFunctor *packetedArrivedCB=NULL)
| Constructor.
std::string | buildString (void) const
| Builds a string of the info.
std::string | buildStringMovement (void) const
| Builds a string of the movement info.
void | connected (void)
| internal, connection callback
int | getAux1Baud (void) const
| Gets the host baud number, look at the manual for what these mean.
int | getAux2Baud (void) const
| Returns the Aux2 baud number, look at the manual for what these mean.
int | getAux3Baud (void) const
| Returns the Aux3 baud number, look at the manual for what these mean.
int | getDriftFactor (void) const
| Returns the DriftFactor value (see the manual).
const char * | getFirmwareVersion (void) const
| Gets the firmware version.
int | getFrontBumps (void) const
| Returns the number of front bumpers.
bool | getFrontSonar (void) const
| Gets whether or not the robot has front sonar.
int | getGyroCCW (void) const
| Gets the gyro CCW value.
int | getGyroCW (void) const
| Gets the gyro CW value.
int | getGyroRateLimit (void) const
| Gets the port the PDB is on.
int | getGyroType (void) const
| Returns if the robot has a gyro or not.
int | getHasCharger (void) const
| Returns whether the robot has a charger.
bool | getHasGripper (void) const
| Gets the gripper value (whether or not the robot has a gripper).
bool | getHasGyro (void) const
| Returns if the robot has a gyro or not.
char | getHighTemperatureShutdown (void) const
| Gets the high temperature threshold.
int | getHostBaud (void) const
| Gets the host baud number, look at the manual for what these mean.
int | getJoyRotVel (void) const
| Returns the joystick rotational velocity.
int | getJoyVel (void) const
| Returns the joystick translational velocity.
int | getKinematicsDelay (void) const
| Gets the kinematics delay.
int | getLatAccel (void) const
| Returns the lateral acceleration.
int | getLatAccelTop (void) const
| Gets the absolute maximum lateral acceleration in mm/sec/sec (cannot be set above this in firmware or through software).
int | getLatDecel (void) const
| Returns the lateral deceleration.
int | getLatVelMax (void) const
| Returns the current maximum lateral velocity (mm/sec) (can be set).
int | getLatVelTop (void) const
| Gets the absolute maximum lateral velocity in mm/sec (cannot be set above this in firmware or through software).
int | getLowBattery (void) const
| Gets the low battery beeping indicating voltage times 10.
const char * | getName (void) const
| Gets the name of the robot.
bool | getNormalMPacs (void) const
| Returns if the robot is using normal packets or new style packets.
unsigned char | getPDBPort (void) const
| Gets the port the PDB is on.
int | getPowerBits (void) const
| Gets the power bits.
int | getPowerbotChargeThreshold (void) const
| Gets the powerbot charge threshold.
int | getPwmMax (void) const
| Gets the maximum PWM the robot will have (stallval cannot be above this).
int | getRearBumps (void) const
| Returns the number of rear bumpers.
bool | getRearSonar (void) const
| Gets whether or not the robot has rear sonar.
bool | getResetBaud (void) const
| Returns the baud rate.
int | getRevCount (void) const
| Gets the revcount.
int | getRotAccel (void) const
| Returns the rotational acceleration.
int | getRotAccelTop (void) const
| Gets the absolute maximum rotational acceleration in deg/sec/sec (cannot be set above this in firmware or through software).
int | getRotDecel (void) const
| Returns the rotational deceleration.
int | getRotKI (void) const
| Returns the rotational KI value (look at the manual).
int | getRotKP (void) const
| Returns the rotational KP value (look at the manual).
int | getRotKV (void) const
| Returns the rotational KV value (look at the manual).
int | getRotVelMax (void) const
| Returns the current maximum rotational velocity (deg/sec) (can be set).
int | getRotVelTop (void) const
| Gets the absolute maximum rotational velocity in deg/sec (cannot be set above this in firmware or through software).
const char * | getSerialNumber (void) const
| Gets the serial number of the robot.
int | getShutdownVoltage (void) const
| Returns the voltage (x10) that the robot will shut down the computer at.
int | getSipCycleTime (void) const
| Gets the cycle time in ms of the motor packets.
int | getSonarCycle (void) const
| Returns the number of ms the sonar cycle is (default is 40).
int | getStallCount (void) const
| Returns the stallcount (how many 10ms increments robot stops after stall).
int | getStallVal (void) const
| Returns the stallval (pwms at which robot stalls).
const char * | getSubType (void) const
| Gets the subtype of robot.
int | getTicksMM (void) const
| Returns the Ticks/MM for the robot.
int | getTransAccel (void) const
| Returns the translational acceleration.
int | getTransAccelTop (void) const
| Gets the absolute maximum translational acceleration in mm/sec/sec (cannot be set above this in firmware or through software).
int | getTransDecel (void) const
| Returns the translational deceleration.
int | getTransKI (void) const
| Returns the translational KI value (look at the manual).
int | getTransKP (void) const
| Returns the translational KP value (look at the manual).
int | getTransKV (void) const
| Returns the translational KV value (look at the manual).
int | getTransVelMax (void) const
| Returns the current maximum translational velocity (mm/sec) (can be set).
int | getTransVelTop (void) const
| Gets the absolute maximum translational velocity in mm/sec (cannot be set above this in firmware or through software).
const char * | getType (void) const
| Gets the type of robot.
int | getWatchdog (void) const
| Gets the watchdog (how many ms after command robot stops).
bool | hasPacketArrived (void) const
| See if we've gotten the data.
bool | hasPacketBeenRequested (void) const
| See if we've requested a packet yet.
void | log (void) const
| Log the config.
void | logMovement (void) const
| Log the movement part of the config config.
bool | packetHandler (ArRobotPacket *packet)
| internal, packet handler
bool | requestPacket (void)
| Request a packet.. true if we could, false if onlyOneRequest already done.
| ~ArRobotConfigPacketReader ()
| Destructor.
## Protected Attributes
int | myAux1Baud
int | myAux2Baud
int | myAux3Baud
ArFunctorC< ArRobotConfigPacketReader > | myConnectedCB
int | myDriftFactor
std::string | myFirmwareVersion
int | myFrontBumps
bool | myFrontSonar
int | myGyroCCW
int | myGyroCW
int | myGyroRateLimit
int | myGyroType
int | myHasCharger
bool | myHasGripper
bool | myHasGyro
char | myHighTemperatureShutdown
int | myHostBaud
int | myJoyRotVel
int | myJoyVel
int | myKinematicsDelay
ArTime | myLastPacketRequest
int | myLatAccel
int | myLatAccelTop
int | myLatDecel
int | myLatVelMax
int | myLatVelTop
int | myLowBattery
std::string | myName
bool | myNormalMPacs
bool | myOnlyOneRequest
bool | myPacketArrived
ArFunctor * | myPacketArrivedCB
ArRetFunctor1C< bool, ArRobotConfigPacketReader, ArRobotPacket * > | myPacketHandlerCB
bool | myPacketRequested
unsigned char | myPDBPort
int | myPowerBits
int | myPowerbotChargeThreshold
int | myPwmMax
int | myRearBumps
bool | myRearSonar
bool | myResetBaud
int | myRevCount
ArRobot * | myRobot
int | myRotAccel
int | myRotAccelTop
int | myRotDecel
int | myRotKI
int | myRotKP
int | myRotKV
int | myRotVelMax
int | myRotVelTop
std::string | mySerialNumber
int | myShutdownVoltage
int | mySipCycleTime
int | mySonarCycle
int | myStallCount
int | myStallVal
std::string | mySubType
int | myTicksMM
int | myTransAccel
int | myTransAccelTop
int | myTransDecel
int | myTransKI
int | myTransKP
int | myTransKV
int | myTransVelMax
int | myTransVelTop
std::string | myType
int | myWatchdog

The documentation for this class was generated from the following file:

- ArRobotConfigPacketReader.h